Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom
Class JRexDocumentImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexDocumentImpl

All Implemented Interfaces:
  Document, Node

Direct Known Subclasses:
  JRexHTMLDocumentImpl

public class JRexDocumentImpl
extends JRexNodeImpl
implements Document

A class implementing org.w3c.dom.Document interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `Document`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `JRexDocumentImpl()` Intended to be used by JNI

Method Summary
`Attr` | `createAttribute(String name)`
`Attr` | `createAttributeNS(String namespaceURI, String qualifiedName)`
`CDATASection` | `createCDATASection(String data)`
`Comment` | `createComment(String data)`
`DocumentFragment` | `createDocumentFragment()`
`Element` | `createElement(String tagName)`
`Element` | `createElementNS(String namespaceURI, String qualifiedName)`
`EntityReference` | `createEntityReference(String name)`
`ProcessingInstruction` | `createProcessingInstruction(String target, String data)`
`Text` | `createTextNode(String data)`
`DocumentType` | `getDoctype()`
`Element` | `getDocumentElement()`
`DocumentEvent` | `getDocumentEvent()`
`DocumentRange` | `getDocumentRange()`
`DocumentTraversal` | `getDocumentTraversal()`
`DocumentView` | `getDocumentView()`
`Element` | `getElementById(String elementId)`
`NodeList` | `getElementsByTagName(String tagname)`
`NodeList` | `getElementsByTagNameNS(String namespaceURI, String localName)`
`DOMImplementation` | `getImplementation()`
`Node` | `importNode(Node importedNode, boolean deep)`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### JRexDocumentImpl

    protected JRexDocumentImpl()

  Intended to be used by JNI

Method Detail

### createAttribute

    public Attr createAttribute(String name)
                         throws DOMException

  Specified by:
    `createAttribute` in interface `Document`
  Throws:
    `DOMException`

### createAttributeNS

    public Attr createAttributeNS(String namespaceURI,
                                  String qualifiedName)
                           throws DOMException

  Specified by:
    `createAttributeNS` in interface `Document`
  Throws:
    `DOMException`

### createCDATASection

    public CDATASection createCDATASection(String data)
                                    throws DOMException

  Specified by:
    `createCDATASection` in interface `Document`
  Throws:
    `DOMException`

### createComment

    public Comment createComment(String data)

  Specified by:
    `createComment` in interface `Document`

### createDocumentFragment

    public DocumentFragment createDocumentFragment()

  Specified by:
    `createDocumentFragment` in interface `Document`

### createElement

    public Element createElement(String tagName)
                          throws DOMException

  Specified by:
    `createElement` in interface `Document`
  Throws:
    `DOMException`

### createElementNS

    public Element createElementNS(String namespaceURI,
                                   String qualifiedName)
                            throws DOMException

  Specified by:
    `createElementNS` in interface `Document`
  Throws:
    `DOMException`

### createEntityReference

    public EntityReference createEntityReference(String name)
                                          throws DOMException

  Specified by:
    `createEntityReference` in interface `Document`
  Throws:
    `DOMException`

### createProcessingInstruction

    public ProcessingInstruction createProcessingInstruction(String target,
                                                             String data)
                                                      throws DOMException

  Specified by:
    `createProcessingInstruction` in interface `Document`
  Throws:
    `DOMException`

### createTextNode

    public Text createTextNode(String data)

  Specified by:
    `createTextNode` in interface `Document`

### getDoctype

    public DocumentType getDoctype()

  Specified by:
    `getDoctype` in interface `Document`

### getDocumentElement

    public Element getDocumentElement()

  Specified by:
    `getDocumentElement` in interface `Document`

### getElementById

    public Element getElementById(String elementId)

  Specified by:
    `getElementById` in interface `Document`

### getElementsByTagName

    public NodeList getElementsByTagName(String tagname)

  Specified by:
    `getElementsByTagName` in interface `Document`

### getElementsByTagNameNS

    public NodeList getElementsByTagNameNS(String namespaceURI,
                                           String localName)

  Specified by:
    `getElementsByTagNameNS` in interface `Document`

### getImplementation

    public DOMImplementation getImplementation()

  Specified by:
    `getImplementation` in interface `Document`

### importNode

    public Node importNode(Node importedNode,
                           boolean deep)
                    throws DOMException

  Specified by:
    `importNode` in interface `Document`
  Throws:
    `DOMException`

### getDocumentRange

    public DocumentRange getDocumentRange()

### getDocumentEvent

    public DocumentEvent getDocumentEvent()

### getDocumentTraversal

    public DocumentTraversal getDocumentTraversal()

### getDocumentView

    public DocumentView getDocumentView()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.